Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum Tourism

    java.lang.Object
      java.lang.Enum<Tourism>
          org.ka2ddo.yaac.osm.Tourism

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Tourism>, AmenityOrWay

    public enum Tourism

extends java.lang.Enum<Tourism>
implements AmenityOrWay

Supported types of the OSM tourism="*" attribute. See the definition of tourism on the OpenStreetMap wiki.

Enum Constant Summary
`alpine_hut`
`apartment`
`artwork`
`attraction`
`camp_site`
`caravan_site`
`chalet`
`gallery`
`guest_house`
`hostel`
`hotel`
`information`
`motel`
`museum`
`picnic_site`
`theme_park`
`user_defined`
`viewpoint`
`wilderness_hut`
`yes` Flag providing no additional information except that this is of some interest to tourists.
`zoo`

Method Summary
`AmenityType` | `getAmenityType()` Report the amenity type (if any) associated with this tourism interest.
`static Tourism` | `value(java.lang.String name)` Get the enum value associated with the string name specified.
`static Tourism` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Tourism[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`WayType` | `wayType()` Report the WayType for rendering this type of Way.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### user_defined

    public static final Tourism user_defined

### alpine_hut

    public static final Tourism alpine_hut

### apartment

    public static final Tourism apartment

### attraction

    public static final Tourism attraction

### artwork

    public static final Tourism artwork

### camp_site

    public static final Tourism camp_site

### caravan_site

    public static final Tourism caravan_site

### chalet

    public static final Tourism chalet

### gallery

    public static final Tourism gallery

### guest_house

    public static final Tourism guest_house

### hostel

    public static final Tourism hostel

### hotel

    public static final Tourism hotel

### information

    public static final Tourism information

### motel

    public static final Tourism motel

### museum

    public static final Tourism museum

### picnic_site

    public static final Tourism picnic_site

### theme_park

    public static final Tourism theme_park

### viewpoint

    public static final Tourism viewpoint

### wilderness_hut

    public static final Tourism wilderness_hut

### zoo

    public static final Tourism zoo

### yes

    public static final Tourism yes

  Flag providing no additional information except that this is of some interest to tourists.

Method Detail

### values

    public static Tourism[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Tourism c : Tourism.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Tourism valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### wayType

    public WayType wayType()

  Report the WayType for rendering this type of Way.

  Specified by:
    `wayType` in interface `AmenityOrWay`
  Returns:
    WayType

### getAmenityType

    public AmenityType getAmenityType()

  Report the amenity type (if any) associated with this tourism interest. For use only if OSM element does not have some other tag key defining the amenity type.

  Specified by:
    `getAmenityType` in interface `AmenityOrWay`
  Returns:
    AmenityType of this tourism item, or null if no such information available

### value

    public static Tourism value(java.lang.String name)

  Get the enum value associated with the string name specified.

  Parameters:
    `name` - String to convert into an Enum
  Returns:
    Tourism for the string name, or null if no match

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD